Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 275441 - new ebuild: dev-scheme/chibi-scheme
Summary: new ebuild: dev-scheme/chibi-scheme
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Scheme Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-25 23:13 UTC by chkno
Modified: 2009-07-07 15:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
An .ebuild for chibi-scheme 0.2. (chibi-scheme-0.2.ebuild,671 bytes, text/plain)
2009-06-25 23:15 UTC, chkno
Details
metadata.xml for chibi-scheme. (metadata.xml,832 bytes, text/plain)
2009-06-25 23:15 UTC, chkno
Details
dev-scheme/chibi-scheme/chibi-scheme-0.2.ebuild (chibi-scheme-0.2.ebuild,1.22 KB, text/plain)
2009-06-27 17:58 UTC, Marijn Schouten (RETIRED)
Details
Some makefile improvements I suggested to upstream. Includes adding -fPIC to CFLAGS (needed for amd64, fixes QA notice for x86) and -soname (fixes QA notice). (chibi-scheme-0.2-unix-build-suggestions.patch,1.29 KB, patch)
2009-06-28 06:44 UTC, chkno
Details | Diff
ebuild clean up. Reference the Makefile patch. Add ~amd64 keyword. (chibi-scheme-0.2.ebuild,813 bytes, text/plain)
2009-06-28 06:46 UTC, chkno
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chkno 2009-06-25 23:13:41 UTC
chibi-scheme is a minimal Scheme implementation for use as an extension language.

Reproducible: Always
Comment 1 chkno 2009-06-25 23:15:18 UTC
Created attachment 195774 [details]
An .ebuild for chibi-scheme 0.2.
Comment 2 chkno 2009-06-25 23:15:58 UTC
Created attachment 195776 [details]
metadata.xml for chibi-scheme.
Comment 3 Marijn Schouten (RETIRED) gentoo-dev 2009-06-27 17:56:24 UTC
Hi chkno,

thanks for your work on this. I am hoping to be able to add chibi-scheme to the main tree some day, but there are still some problems with it, so I might stick it inot the lisp overlay for a while first.
Comment 4 Marijn Schouten (RETIRED) gentoo-dev 2009-06-27 17:58:13 UTC
Created attachment 195904 [details]
dev-scheme/chibi-scheme/chibi-scheme-0.2.ebuild

This is my current working ebuild. I noticed that the tests work but don't seem to exit, so that will still need to be fixed. Does that happen for you too?
Comment 5 chkno 2009-06-28 05:19:24 UTC
(In reply to comment #4)
> I noticed that the tests work but don't seem to exit, so that will
> still need to be fixed. Does that happen for you too?

No, it doesn't.  The tests run and exit fine for me with both of these ebuilds.
Comment 6 chkno 2009-06-28 05:59:07 UTC
Ok, I got access to an amd64 machine.  Yes, I do see the tests hanging on amd64.  But, when compiled with USE_BOEHM=1, the tests run, pass, and exit.

However, the second ebuild here doesn't actually cause USE_BOEHM=1 to be passed to make when USE=boehm-gc.
Comment 7 chkno 2009-06-28 06:44:05 UTC
Created attachment 195933 [details, diff]
Some makefile improvements I suggested to upstream.  Includes adding -fPIC to CFLAGS (needed for amd64, fixes QA notice for x86) and -soname (fixes QA notice).
Comment 8 chkno 2009-06-28 06:46:06 UTC
Created attachment 195935 [details]
ebuild clean up.  Reference the Makefile patch.  Add ~amd64 keyword.
Comment 9 Marijn Schouten (RETIRED) gentoo-dev 2009-07-07 15:23:56 UTC
I have added 0.2 to the lisp overlay. It would be interesting to have a live ebuild too. For now chibi-scheme is not yet ready for main tree though.